Loading...
Searching...
No Matches
L4virtio::Svr::Bad_descriptor Struct Reference

Exception used by Queue to indicate descriptor errors. More...

`#include <virtio>`

Collaboration diagram for L4virtio::Svr::Bad_descriptor:

## Public Types

enum | Error { Bad_address , Bad_rights , Bad_flags , Bad_next , Bad_size }
| The error code. More...

## Public Member Functions

| Bad_descriptor (Request_processor const *proc, Error e)
| Make a bad descriptor exception.
char const * | message () const
| Get a human readable description of the error code.

## Data Fields

Request_processor const * | proc
| The processor that triggered the exception.

## Detailed Description

Exception used by Queue to indicate descriptor errors.

Definition at line 397 of file virtio.

## Member Enumeration Documentation

## Error

enum L4virtio::Svr::Bad_descriptor::Error

The error code.

Enumerator
Bad_address | Address cannot be translated.
Bad_rights | Missing access rights on memory.
Bad_flags | Invalid combination of descriptor flags.
Bad_next | Invalid next index.
Bad_size | Invalid size of memory block.

Definition at line 400 of file virtio.

## Constructor & Destructor Documentation

## Bad_descriptor()

L4virtio::Svr::Bad_descriptor::Bad_descriptor | ( | Request_processor const * | proc,
|  | Error | e )

inline

Make a bad descriptor exception.

Parameters

  proc | The request processor causing the exception
  e | The error code.

Definition at line 421 of file virtio.

References proc.

## Member Function Documentation

## message()

char const * L4virtio::Svr::Bad_descriptor::message | ( |  | ) | const

inline

Get a human readable description of the error code.

Returns
  Message describing the error.

Definition at line 430 of file virtio.

References Bad_address, Bad_flags, Bad_next, Bad_rights, and Bad_size.

Referenced by Virtio_switch::handle_l4virtio_port_tx().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio